/*
 * test0b.c   -- test of attributes create functions
 */
 
#include "pcthread.h"

static pcthread_t            th_handle;
static pcthread_mutex_t      mu_handle;
static pcthread_cond_t       cv_handle;

static pcthread_attr_t       *th_attr_handle;
static pcthread_mutexattr_t  *mu_attr_handle;
static pcthread_condattr_t   *cv_attr_handle;

static void   action_routine( void );
static int    dummy_arg;

main()
{
    int status = 0;

    status = pcthread_condattr_create( cv_attr_handle );
    status = pcthread_cond_init((pcthread_cond_t *) &cv_handle,
                                 *cv_attr_handle );

    status = pcthread_mutexattr_create( mu_attr_handle );
    status = pcthread_mutex_init((pcthread_mutex_t *) &mu_handle,
                                  *mu_attr_handle );
   
    status = pcthread_attr_create( th_attr_handle );
    status = pcthread_create((pcthread_t *) &th_handle, 
                             *th_attr_handle,
                             (pcthread_action_t) action_routine,
                             (pcthread_addr_t *) &dummy_arg );
   return;
}
void
action_routine()
{
    return;
}