/*
 * test1.c
 */
 
#include "pcthread.h"

static pcthread_t            th_handle;
static pcthread_attr_t       th_attr_handle;
static pcthread_mutexattr_t  mu_attr_handle;
static pcthread_condattr_t   cv_attr_handle;

static void   action_routine( void );
static int    dummy_arg;

main()
{
    int       status;
    policy_t  policy = priority_decay_c;

    status = pcthread_attr_setdefaults_ns( policy, 4, 32, 10, 1024, true );

    status = pcthread_create((pcthread_t *) &th_handle, 
                             th_attr_handle,
                             (pcthread_action_t) action_routine,
                             (pcthread_addr_t *) &dummy_arg );

    status = pcthread_mutexattr_create(
              (pcthread_mutexattr_t *) &mu_attr_handle);

    status = pcthread_condattr_create(
              (pcthread_condattr_t *) &cv_attr_handle );

   return;
}
void
action_routine()
{
    return;
}



