/*
 * Test4.c -- Test the setsched services
 */
 
#include <stdlib.h>
#include <stdio.h>
#include "pcthread.h"

static pcthread_attr_t  *th_attr;

main()
{
    policy_t  pol;
    int  status;
    
    /*
     * Create a thread attributes object (actually a handle to the object)
     * and then test the routines that adjust/set the thread scheduling
     * policies
     */
     
    (void) pcthread_attr_create( th_attr );

    status = pcthread_attr_setsched( th_attr, fcfs_c );
    pol = pcthread_attr_getsched( *th_attr );

    status = pcthread_attr_setsched( th_attr, round_robin_c );
    pol = pcthread_attr_getsched( *th_attr );

    status = pcthread_attr_setsched( th_attr, priority_decay_c );
    pol = pcthread_attr_getsched( *th_attr );

    return(0);
}